DH_SHLIBDEPS(1)

NAME
dh_shlibdeps - berechnet Abhängigkeiten gemeinsam benutzter Bibliotheken

ÜBERSICHT
dh_shlibdeps [Debhelper-Optionen] [-LPaket] [-lVerzeichnis] [-XElement] [-- Parameter]

BESCHREIBUNG
dh_shlibdeps ist ein Debhelper-Programm, das für die Berechnung von Paketabhängigkeiten von gemeinsam benutzten Bibliotheken zuständig ist.

Dieses Programm ist lediglich ein Wrapper um dpkg-shlibdeps(1), der es einmal für jedes in der Datei control aufgelistete Paket aufruft und ihm eine Liste aller ELF-Programme und gemeinsam benutzten Bibliotheken übergibt, die es gefunden hat.

OPTIONEN

-XElement, --exclude=Element
    schließt Dateien von der Übergabe an dpkg-shlibdeps aus, die irgendwo in ihrem Dateinamen Element enthalten. Dies führt dazu, dass ihre Abhängigkeiten ignoriert werden. Dies kann in einigen Situationen nützlich sein, benutzen Sie es aber mit Vorsicht. Sie können diese Option mehrfach verwenden, um eine Liste auszuschließender Dinge zu erstellen.

-- Parameter
    übergibt Parameter an dpkg-shlibdeps(1).

-uParameter, --dpkg-shlibdeps-params=Parameter
    Dies ist eine weitere Möglichkeit Parameter an dpkg-shlibdeps(1) zu übergeben. Sie ist veraltet; benutzen Sie stattdessen --.

-lVerzeichnis[:Verzeichnis …]
    Bei aktuellen Versionen von dpkg-shlibdeps wird diese Option im Allgemeinen nicht mehr benötigt.

    Es teilt dpkg-shlibdeps (über seinen Parameter -l) mit, dass es im angegebenen Verzeichnis (oder durch Doppelpunkte getrennten Verzeichnissen) nach privaten Paketbibliotheken Ausschau halten soll. Mit aktuellen Versionen von dpkg-shlibdeps ist dies meist nur für Pakete nützlich, die mehrere Varianten der gleichen Bibliothek bauen oder in anderen Situationen, in denen die Bibliothek in einem Verzeichnis installiert wird, das nicht im regulären Bibliothekssuchpfad liegt.

-LPaket, --libpackage=Paket
    Mit aktuellen Versionen von dpkg-shlibdeps ist diese Option im Allgemeinen nicht nötig, es sei denn, Ihr Paket baut mehrere Varianten der gleichen Bibliothek oder vertraut auf debian/shlibs.local für eine interne Bibliothek.

    Es sagt dpkg-shlibdeps (mittels seines Parameters -S), dass es zuerst im Paketbauverzeichnis nach dem angegebenen Paket suchen soll, wenn nach Bibliotheken, Symbol- und Shlibs-Dateien gesucht wird.

    Falls nötig, kann dies mehrfach mit unterschiedlichen Paketnamen übergeben werden.

BEISPIELE
Angenommen, Ihr Quellpaket erstellt die Binärpakete libfoo1, libfoo-dev und libfoo-bin. libfoo-bin wird gegen libfoo1 gelinkt und sollte von ihm abhängen. Führen Sie in Ihren Dateien zuerst dh_makeshlibs und dann dh_shlibdeps aus:

        dh_makeshlibs
        dh_shlibdeps

Dies hat den Effekt, dass eine Shilbs-Datei für libfoo1 automatisch erstellt wird und dann diese Datei und die libfoo1-Bibliothek im Verzeichnis debian/libfoo1/usr/lib benutzt wird, um die Abhängigkeitsinformation der gemeinsam benutzten Bibliothek zu berechnen.

Falls außerdem ein libbar1-Paket erstellt wird, das ein alternativ gebautes libfoo ist, das in /usr/lib/bar/ installiert ist, können Sie libfoo-bin wie folgt eine Abhängigkeit von libbar1 erreichen:

        dh_shlibdeps -Llibbar1 -l/usr/lib/bar

SIEHE AUCH
debhelper(7), dpkg-shlibdeps(1)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>